#-------------------------------------------------
#
# run --docroot . --http-address 0.0.0.0 --http-port 8088
# --gdb --docroot "./" --approot "./" --deploy-path /ww --http-address 0.0.0.0 --http-port 8088
# sudo /usr/bin/qtcreator
#-------------------------------------------------

QT       += core
QT       -= gui
QT       += sql

TARGET   = Sub-Menu.wt
CONFIG   += console
CONFIG   -= app_bundle
TEMPLATE = app

LIBS += -L/usr/lib -L/usr/local/lib -I/usr/local/include -lwt -lwthttp -lwtdbo -lcrypt -ltiff -lpng
LIBS += -lboost_signals -lboost_filesystem -lboost_system -lboost_regex -lboost_date_time -lboost_thread

SOURCES += Sub-Menu.cpp
OTHER_FILES += ../build-Sub-Menu-Desktop-Debug/sub-menu.xml \
    ../build-Sub-Menu-Desktop-Debug/resources/themes/wittywizard/blue/SfMenuHoriz.css

# PostgreSql
#DEFINES += POSTGRES
#LIBS += -lwtdbopostgres

# Sqlite3
#DEFINES += SQLITE3
#LIBS += -lwtdbosqlite3

# Firebird
#DEFINES += FIREBIRD
#LIBS += -lwtdbofirebird

# MySQL
# svn co https://wtdbomysql.svn.sourceforge.net/svnroot/wtdbomysql wtdbomysql
#DEFINES += MYSQL
#LIBS += -lwtdbomysql

QMAKE_CXXFLAGS += -DNDEBUG
QMAKE_CXXFLAGS += "-std=c++11"
CXXFLAGS="-std=c++0x"

